/* TEMPORARY CART */

.cart-overlay[hidden] {
    display: none;
}

html.is-cart-open,
body.is-cart-open {
    overflow: hidden;
    height: 100%;
}

.cart-overlay {
    position: fixed;
    inset: 0;
    z-index: 9999;
}

.cart-overlay__backdrop {
    position: absolute;
    inset: 0;
    background: rgba(0, 0, 0, 0.2);
    overflow: hidden;
}

.cart-overlay__panel {
    position: absolute;
    top: 0;
    right: 0;
    height: 100%;
    width: var(--col-4);
    min-width: 400px;
    padding: 0 var(--margin-medium);
    overflow-x: hidden;
    overflow: auto;

    background: var(--white);
    -webkit-box-shadow: 0px 0px 15px 0px #0006;
    box-shadow: 0px 0px 15px 0px #0006;
    font-weight: var(--fw-light);

    transform: translateX(100%);
    transition: transform 200ms ease;

    display: flex;
    flex-direction: column;
}

.cart-overlay.is-open .cart-overlay__panel {
    transform: translateX(0);
}

.cart-overlay__content {
    display: flex;
    flex-direction: column;
    flex: 1;
}

.mini-cart {
    display: flex;
    flex-direction: column;
    flex: 1;
}

.cart-overlay__header {
    position: sticky;
    top: 0;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding-top: var(--margin-medium);
    padding-bottom: var(--margin-small);
    background-color: var(--white);

}

/* .cart-overlay__content {
    padding: 16px;
} */

.cart-overlay__close {
    font-size: 1.75em;
    font-weight: var(--fw-xlight);
    transform: translateY(-7%);
}

.cart-overlay__close:hover {
    text-decoration: none;
}


.mini-cart__item {
    border-bottom: var(--primary) solid 0.75px;
    padding-bottom: var(--margin-intermediate);
    margin-bottom: var(--margin-intermediate);

    display: flex;
    flex-direction: row;
    gap: var(--margin-intermediate);

    font-size: var(--txt-small);
}

.mini-cart__image {
    width: var(--col-1);
}

.mini-cart__content {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}


.mini-cart__subtotal {
    margin-bottom: var(--margin-intermediate);
    display: flex;
    justify-content: space-between;
}

.mini-cart__delivery-notice {
    margin-bottom: var(--margin-intermediate);
    color: var(--secondary);
    /* font-size: var(--txt-small); */
    font-weight: var(--fw-light);
}

.mini-cart__footer {
    position: sticky;
    bottom: 0;
}


.mini-cart__actions {
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: var(--white);
    gap: var(--margin-small);
    padding-top: var(--margin-small);
    padding-bottom: var(--margin-medium);
}

.mini-cart--empty {
    justify-content: space-between;
}

.mini-cart--empty .mini-cart__actions {
    margin-top: var(--margin-intermediate);
}


/* ==============================
        MEDIA QUERIES   
================================= */

@media (max-width: 767px) {
    .cart-overlay__panel {
        width: 100%;
        padding: 0 var(--margin-intermediate);
        min-width: auto;
    }

    .cart-overlay__header {
        padding-top: var(--margin-intermediate);
        padding-bottom: var(--margin-small);
    }

    .mini-cart__item {
        gap: var(--margin-small);
        line-height: 1.5;
    }

    .mini-cart__image {
        width: var(--col-2);
    }

    .mini-cart__content {
        padding: 0.5em 0;
    }

    .mini-cart__actions {
        padding-bottom: var(--margin-intermediate);
    }
}